package de.fhdw.wtf.persistence.exception;

/**
 * Ein Fehler der geworfen wird, wenn ein Basisdatentyp in der Datenbank nicht gefunden wurde.
 */
public class BaseTypeNotFoundException extends PersistenceException {
	
	/**
	 * Error nummer of the Oracle UserException.
	 */
	public static final int ERRORCODE = 20006;
	
	/**
	 * the message of the exception.
	 */
	private static final String NOT_FOUND_MESSAGE = "There was no existing base type for the given ID in the database";
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * Konstruktor der die entsprechende Fehlermeldung zur�ckgibt.
	 */
	public BaseTypeNotFoundException() {
		super(NOT_FOUND_MESSAGE, null);
	}
}
